apptainer(1)

NAME
apptainer-instance-stats - Get stats for a named instance

SYNOPSIS
apptainer instance stats [stats options...]

DESCRIPTION
The instance stats command allows you to get statistics for a named instance,
  either printed to the terminal or in json. If you are root, you can optionally
  ask for statistics for a container instance belonging to a specific user. If
  you add --no-stream, you will only see one timepoint. Asking for json implies
  the same.

OPTIONS
-h, --help[=false]
    help for stats

-j, --json[=false]
    output stats in json

--no-stream[=false]
    disable streaming (live update) of instance stats

-u, --user=""
    view stats for an instance belonging to a user (root only)

EXAMPLE
      $ apptainer instance stats mysql
      $ apptainer instance stats --json mysql
      $ apptainer instance stats --no-stream mysql
      $ sudo apptainer instance stats --user <username> user-mysql

SEE ALSO
apptainer-instance(1)

HISTORY
7-May-2026 Auto generated by spf13/cobra